com.opensymphony.xwork2.config

## Class ReferenceResolverException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.opensymphony.xwork2.XWorkException
        - - com.opensymphony.xwork2.config.ReferenceResolverException

- All Implemented Interfaces:
    Locatable, Serializable

  Deprecated.
  to be removed

      @Deprecated
      public class ReferenceResolverException
      extends XWorkException

  Exception when a reference can't be resolved.
  Author:
    Mike
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReferenceResolverException()` Deprecated.
    `ReferenceResolverException(String s)` Deprecated.
    `ReferenceResolverException(String s, Throwable cause)` Deprecated.
    `ReferenceResolverException(Throwable cause)` Deprecated.

  - ### Method Summary

    - ### Methods inherited from class com.opensymphony.xwork2.XWorkException

      `getLocation, toString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ReferenceResolverException

          public ReferenceResolverException()

      Deprecated.

    - #### ReferenceResolverException

          public ReferenceResolverException(String s)

      Deprecated.

    - #### ReferenceResolverException

          public ReferenceResolverException(String s,
                                    Throwable cause)

      Deprecated.

    - #### ReferenceResolverException

          public ReferenceResolverException(Throwable cause)

      Deprecated.

Copyright © 2000–2021 Apache Software Foundation. All rights reserved.